> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/integration-type-mappings.md).

# Integration Type Mappings

integrationTypeMappings

## GET /integrationTypeMappings

> list IntegrationTypeMapping

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"integrationTypeMappings","description":"integrationTypeMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.integration.IntegrationTypeMapping":{"title":"Integration Type Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.integration.IntegrationTypeMapping"},"integrationMappingId":{"type":"string"},"integrationTypeId":{"type":"string"},"integrationRefId":{"type":"string"},"mappingKey":{"type":"string"},"mappingValue":{"type":"string"},"description":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/integrationTypeMappings":{"get":{"tags":["integrationTypeMappings"],"summary":"list IntegrationTypeMapping","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"integrationMappingId","in":"query","required":false,"description":"(Primary Key, Auto-increment): Unique identifier for each integration type mapping."},{"schema":{"type":"string","format":""},"name":"integrationTypeId","in":"query","required":false,"description":"Identifier for the integration type."},{"schema":{"type":"string","format":""},"name":"integrationRefId","in":"query","required":false,"description":"Identifier referencing the integration entity (if applicable)."},{"schema":{"type":"string","format":""},"name":"mappingKey","in":"query","required":false,"description":"The key used for mapping in the integration."},{"schema":{"type":"string","format":""},"name":"mappingValue","in":"query","required":false,"description":"The corresponding value for the mapping key."},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":"A brief description of the integration type mapping."},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.integration.IntegrationTypeMapping"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /integrationTypeMappings

> create IntegrationTypeMapping

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"integrationTypeMappings","description":"integrationTypeMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.integration.IntegrationTypeMapping.PK":{"title":"Integration Type Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.integration.IntegrationTypeMapping.PK"},"integrationMappingId":{"type":"string"}}},"co.hotwax.integration.IntegrationTypeMapping":{"title":"Integration Type Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.integration.IntegrationTypeMapping"},"integrationMappingId":{"type":"string"},"integrationTypeId":{"type":"string"},"integrationRefId":{"type":"string"},"mappingKey":{"type":"string"},"mappingValue":{"type":"string"},"description":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/integrationTypeMappings":{"post":{"tags":["integrationTypeMappings"],"summary":"create IntegrationTypeMapping","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.integration.IntegrationTypeMapping.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.integration.IntegrationTypeMapping"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.integration.IntegrationTypeMapping"}}},"required":false}}}}}
```

## GET /integrationTypeMappings/{integrationMappingId}

> one IntegrationTypeMapping

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"integrationTypeMappings","description":"integrationTypeMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.integration.IntegrationTypeMapping":{"title":"Integration Type Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.integration.IntegrationTypeMapping"},"integrationMappingId":{"type":"string"},"integrationTypeId":{"type":"string"},"integrationRefId":{"type":"string"},"mappingKey":{"type":"string"},"mappingValue":{"type":"string"},"description":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/integrationTypeMappings/{integrationMappingId}":{"get":{"tags":["integrationTypeMappings"],"summary":"one IntegrationTypeMapping","description":null,"parameters":[{"schema":{"type":"string"},"name":"integrationMappingId","in":"path","required":true,"description":"(Primary Key, Auto-increment): Unique identifier for each integration type mapping."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.integration.IntegrationTypeMapping"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /integrationTypeMappings/{integrationMappingId}

> store IntegrationTypeMapping

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"integrationTypeMappings","description":"integrationTypeMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.integration.IntegrationTypeMapping.PK":{"title":"Integration Type Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.integration.IntegrationTypeMapping.PK"},"integrationMappingId":{"type":"string"}}},"co.hotwax.integration.IntegrationTypeMapping":{"title":"Integration Type Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.integration.IntegrationTypeMapping"},"integrationMappingId":{"type":"string"},"integrationTypeId":{"type":"string"},"integrationRefId":{"type":"string"},"mappingKey":{"type":"string"},"mappingValue":{"type":"string"},"description":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/integrationTypeMappings/{integrationMappingId}":{"post":{"tags":["integrationTypeMappings"],"summary":"store IntegrationTypeMapping","description":null,"parameters":[{"schema":{"type":"string"},"name":"integrationMappingId","in":"path","required":true,"description":"(Primary Key, Auto-increment): Unique identifier for each integration type mapping."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.integration.IntegrationTypeMapping.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.integration.IntegrationTypeMapping"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.integration.IntegrationTypeMapping"}}},"required":false}}}}}
```

## DELETE /integrationTypeMappings/{integrationMappingId}

> delete IntegrationTypeMapping

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"integrationTypeMappings","description":"integrationTypeMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/integrationTypeMappings/{integrationMappingId}":{"delete":{"tags":["integrationTypeMappings"],"summary":"delete IntegrationTypeMapping","description":null,"parameters":[{"schema":{"type":"string"},"name":"integrationMappingId","in":"path","required":true,"description":"(Primary Key, Auto-increment): Unique identifier for each integration type mapping."}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/integration-type-mappings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
